# Class QueryStats

java.lang.Object
io.trino.jdbc.QueryStats

public final class QueryStats extends Object

## Constructor Summary

Constructors
Constructor
Description
`QueryStats(String queryId, String state, boolean queued, boolean scheduled, OptionalDouble progressPercentage, int nodes, int totalSplits, int queuedSplits, int runningSplits, int completedSplits, long planningTimeMillis, long analysisTimeMillis, long cpuTimeMillis, long wallTimeMillis, long queuedTimeMillis, long elapsedTimeMillis, long finishingTimeMillis, long physicalInputTimeMillis, long processedRows, long processedBytes, long peakMemoryBytes, long physicalInputBytes, long physicalWrittenBytes, long internalNetworkInputBytes, Optional<StageStats> rootStage)`

## Method Summary

Modifier and Type
Method
Description
`long`
`getAnalysisTimeMillis()`
`int`
`getCompletedSplits()`
`long`
`getCpuTimeMillis()`
`long`
`getElapsedTimeMillis()`
`long`
`getFinishingTimeMillis()`
`long`
`getInternalNetworkInputBytes()`
`int`
`getNodes()`
`long`
`getPeakMemoryBytes()`
`long`
`getPhysicalInputBytes()`
`long`
`getPhysicalInputTimeMillis()`
`long`
`getPhysicalWrittenBytes()`
`long`
`getPlanningTimeMillis()`
`long`
`getProcessedBytes()`
`long`
`getProcessedRows()`
`OptionalDouble`
`getProgressPercentage()`
`String`
`getQueryId()`
`int`
`getQueuedSplits()`
`long`
`getQueuedTimeMillis()`
`Optional<StageStats>`
`getRootStage()`
`int`
`getRunningSplits()`
`String`
`getState()`
`int`
`getTotalSplits()`
`long`
`getWallTimeMillis()`
`boolean`
`isQueued()`
`boolean`
`isScheduled()`

### Methods inherited from class Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### QueryStats

public QueryStats(String queryId, String state, boolean queued, boolean scheduled, OptionalDouble progressPercentage, int nodes, int totalSplits, int queuedSplits, int runningSplits, int completedSplits, long planningTimeMillis, long analysisTimeMillis, long cpuTimeMillis, long wallTimeMillis, long queuedTimeMillis, long elapsedTimeMillis, long finishingTimeMillis, long physicalInputTimeMillis, long processedRows, long processedBytes, long peakMemoryBytes, long physicalInputBytes, long physicalWrittenBytes, long internalNetworkInputBytes, Optional<StageStats> rootStage)

## Method Details

### getQueryId

public String getQueryId()

### getState

public String getState()

### isQueued

public boolean isQueued()

### isScheduled

public boolean isScheduled()

### getProgressPercentage

public OptionalDouble getProgressPercentage()

### getNodes

public int getNodes()

### getTotalSplits

public int getTotalSplits()

### getQueuedSplits

public int getQueuedSplits()

### getRunningSplits

public int getRunningSplits()

### getCompletedSplits

public int getCompletedSplits()

### getPlanningTimeMillis

public long getPlanningTimeMillis()

### getAnalysisTimeMillis

public long getAnalysisTimeMillis()

### getCpuTimeMillis

public long getCpuTimeMillis()

### getWallTimeMillis

public long getWallTimeMillis()

### getQueuedTimeMillis

public long getQueuedTimeMillis()

### getElapsedTimeMillis

public long getElapsedTimeMillis()

### getFinishingTimeMillis

public long getFinishingTimeMillis()

### getPhysicalInputTimeMillis

public long getPhysicalInputTimeMillis()

### getProcessedRows

public long getProcessedRows()

### getProcessedBytes

public long getProcessedBytes()

### getPeakMemoryBytes

public long getPeakMemoryBytes()

### getPhysicalInputBytes

public long getPhysicalInputBytes()

### getPhysicalWrittenBytes

public long getPhysicalWrittenBytes()

### getInternalNetworkInputBytes

public long getInternalNetworkInputBytes()

### getRootStage

public Optional<StageStats> getRootStage()